Your submission was sent successfully! Close

CVE-2022-40304

Published: 23 November 2022

An issue was discovered in libxml2 before 2.10.3. Certain invalid XML entity definitions can corrupt a hash table key, potentially leading to subsequent logic errors. In one case, a double-free can be provoked.

Priority

Medium

Status

Package Release Status
libxml2
Launchpad, Ubuntu, Debian
bionic Needed

focal Needed

jammy Needed

kinetic Needed

trusty Needed

upstream
Released (2.10.3)
xenial Needed

Patches:
upstream: https://gitlab.gnome.org/GNOME/libxml2/-/commit/1b41ec4e9433b05bb0376be4725804c54ef1d80b